import java.nio.CharBuffer;

public class Freq
{
   public static void main(String[] args)
   {
      if (args.length != 1)
      {
         System.err.println("usage: java Freq text");
         return;
      }
      analyze(args[0]);
      analyze(new StringBuffer(args[0]));
      analyze(CharBuffer.wrap(args[0]));
   }

   static void analyze(CharSequence cs)
   {
      int counts[] = new int[26];
      for (int i = 0; i < cs.length(); i++)
      {
         char ch = cs.charAt(i);
         if (ch >= 'a' && ch <= 'z')
            counts[ch - 'a']++;
      }
      for (int i = 0; i < counts.length; i++)
         System.out.printf("Count of %c is %d%n", (i + 'a'), counts[i]);
      System.out.println();
   }
}